#
# Conditional build:
%bcond_with	tests	# unit tests (not in sdist)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	funcparserlib
Summary:	Recursive descent parsing library based on functional combinators
Summary(pl.UTF-8):	Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych
Name:		python-%{module}
Version:	1.0.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/funcparserlib/
Source0:	https://files.pythonhosted.org/packages/source/f/funcparserlib/%{module}-%{version}.tar.gz
# Source0-md5:	c62c820f171f66c317ea9daf02c7f28a
URL:		https://github.com/vlasovskikh/funcparserlib
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Recursive descent parsing library based on functional combinators.

%description -l pl.UTF-8
Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych.

%package -n python3-%{module}
Summary:	Recursive descent parsing library based on functional combinators
Summary(pl.UTF-8):	Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.7

%description -n python3-%{module}
Recursive descent parsing library based on functional combinators.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka analizy rekurencyjnej oparta na kombinatorach funkcyjnych.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m unittest discover
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m unittest discover
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sat Sep 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-funcparserlib.git;a=log;h=master

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> f50c1c1
- updated to 1.0.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 69f35b4
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0110b92
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3c84ff8
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 3c95b88
- release 2 (by relup.sh)

* Sat Feb 06 2021 Jakub Bogusz <qboosh@pld-linux.org> c82f813
- updated to 0.3.6, added python3- package

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> e273490
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8f3744d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5968174
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3993f43
- automatic change: use py_build/py_install macros

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> 5a5ccf8
- release 1

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> a18e490
- cleanups, adapter

* Mon Aug 01 2011 cieciwa <cieciwa@pld-linux.org> 2a84d31
- updated %Summary and %description.

* Mon Aug 01 2011 cieciwa <cieciwa@pld-linux.org> 4c4d041
- initial.

